#pragma once

#include "vertex_engine/utils/utils.hpp" // IWYU pragma: keep

namespace VE
{
	class context
	{
    public:
      context(GLFWwindow* w);

    private:
      GLFWwindow* m_win;

    public:
      void init();
      void swap_buffers();
	};
}
